{% extends 'base.html' %}

{% load static %}

{% block title %}
Scrumptious Recipes
{% endblock title %}

{% block content %}
  <header>
    <nav>
        <a href="{% url 'list_recipes' %}">Main page</a>
        <a href="{% url 'create_recipe' %}">Create a Recipe</a>
    </nav>
  </header>
  <main>
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>
    <div class="grid-setup">
        {% for recipe in recipes %}
      <div>
        <h3>
          <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title | upper }}</a>
        </h3>
        <p>{{ recipe.created_on|date:"j F Y" }}</p>
        <img src="{{ recipe.picture|default:'https://cdn.dribbble.com/users/1012566/screenshots/4187820/media/985748436085f06bb2bd63686ff491a5.jpg?resize=400x300&vertical=center' }}">
        <div>4.3 stars</div>
      </div>
      {% empty %}
        <p>There are no recipes.</p>
    {% endfor %}
    </div>
  </main>
</body>
</html>
{% endblock content %}
